<template>
    <v-app id="inspire">
        <v-app-bar app color="#2c3a47" dark>
        <v-app-bar-nav-icon @click.stop="mini = !mini" />
        <v-toolbar-title style="width: 300px; cursor: pointer" class="ml-0 pl-4">
            <span class="hidden-sm-and-down">AJ's Eat All You Want Shop</span>
        </v-toolbar-title>
        <v-spacer />
        <v-btn icon class="mr-6" @click="goToShop">
            <v-icon left>mdi-cart</v-icon> SHOP
        </v-btn>
        <v-btn icon>
            <v-icon>mdi-logout</v-icon>
        </v-btn>
        </v-app-bar>
        <v-main>
            <div style="width: 30%; margin-left: 30%; margin-top: 3%" v-for="cart in cart" :key="cart.id">
                <div class="px-2 d-flex justify-content-between">
                    <div>
                        <strong>{{ cart.product_name }}</strong>
                        <br />
                        {{ cart.quantity }} x ${{ cart.product_price }}
                    </div>
                    <div >
                        <a href="#" class="badge badge-warning" @click.prevent="removeProductFromCart(cart._id)">remove</a>
                    </div>
                </div> 
                <hr />                
            </div>  
            <div class="d-flex justify-content-between" style="width: 30%; margin-left: 30%; margin-top: 3%">
                <span>Total: ${{ cartTotalPrice }}</span>
                <a href="#" @click="clearCartItem()" >Clear Cart</a>
            </div>                                   
        </v-main>         
    </v-app>
</template>

<script>
export default {
    props: ['id'],
    data: () => ({
        mini: false,
        dialog: false,
        fab: false,
    }),
    methods: {
        goToShop() {
            this.$router.push('/shop')
        },
        removeProductFromCart(_id) {
            this.$store.dispatch('removeProductFromCart', _id);
            console.log('REMOVE PRODUCT ID: ', _id);
        },
        clearCartItem() {
            this.$store.dispatch("clearCartItems");
        }
    },
    computed: {
        cart() {
            console.log('CART DETAILS:, ', this.$store.state.cart);
            return this.$store.state.cart;               
        },

        cartTotalPrice() {
            return this.$store.getters.cartTotalPrice;
        }
    },
    mounted() {
        this.$store.dispatch('getCartItems');
    }

}
</script>

<style>

</style>